Subject: [alpine-aports] [PATCH] main/ansible: fix installation of man pages

From: Sören Tempel <[email-masked]>
Date: Wed, 5 Aug 2015 21:54:20 +0200

---
 main/ansible/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/main/ansible/APKBUILD b/main/ansible/APKBUILD
index 167b226..427aac8 100644
--- a/main/ansible/APKBUILD
+++ b/main/ansible/APKBUILD
@@ -1,8 +1,7 @@
 # Maintainer: Fabian Affolter <[email-masked]>
 pkgname=ansible
 pkgver=1.9.2
-_apkver=1
-pkgrel=0
+pkgrel=1
 pkgdesc="A configuration-management, deployment, task-execution, and multinode orchestration framework"
 url="http://ansible.com"
 arch="noarch"
@@ -22,11 +21,12 @@ package() {
 	cd "$_builddir"
 	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
 
+	mkdir -p "$pkgdir"/usr/share/man/man1
 	install -d $pkgdir/usr/share/ansible || return 1
+
 	_manpages="$pkgname-playbook.1 $pkgname.1"
 	for _manpage in "$_builddir"/docs/man/man1/*.1; do
-		install -Dm644 "$_manpage" \
-		"$pkgdir"/usr/share/man/man1/$_manpage || return 1
+		install -Dm644 "$_manpage" "$pkgdir"/usr/share/man/man1/ || return 1
 	done
 }
 
-- 
2.5.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Sören Tempel <[email-masked]>
Date: Wed, 5 Aug 2015 22:13:30 +0200

---
 main/ansible/APKBUILD | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/main/ansible/APKBUILD b/main/ansible/APKBUILD
index 167b226..12145f6 100644
--- a/main/ansible/APKBUILD
+++ b/main/ansible/APKBUILD
@@ -1,8 +1,7 @@
 # Maintainer: Fabian Affolter <[email-masked]>
 pkgname=ansible
 pkgver=1.9.2
-_apkver=1
-pkgrel=0
+pkgrel=1
 pkgdesc="A configuration-management, deployment, task-execution, and multinode orchestration framework"
 url="http://ansible.com"
 arch="noarch"
@@ -22,11 +21,10 @@ package() {
 	cd "$_builddir"
 	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
 
-	install -d $pkgdir/usr/share/ansible || return 1
 
-- 
2.5.0

---